Disco::Item Class Reference

`#include <disco.h>`

## Public Member Functions

| Item (const JID &jid, const std::string &node, const std::string &name)
| ~Item ()
const JID & | jid () const
const std::string & | node () const
const std::string & | name () const
Tag * | tag () const

## Detailed Description

An abstraction of a Disco item (Service Discovery, XEP-0030).

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0

Definition at line 352 of file disco.h.

## Constructor & Destructor Documentation

## Item()

Item | ( | const JID & | jid,
|  | const std::string & | node,
|  | const std::string & | name )

inline

Constructs a Disco Item from a JID, node and name.

Parameters

  jid | The item's JID.
  node | The item's type.
  name | The item's name.

Definition at line 363 of file disco.h.

## ~Item()

~Item | ( |  | ) |

inline

Destructor.

Definition at line 371 of file disco.h.

## Member Function Documentation

## jid()

const JID & jid | ( |  | ) | const

inline

Returns the item's JID.

Returns
  The item's JID.

Definition at line 377 of file disco.h.

## name()

const std::string & name | ( |  | ) | const

inline

Returns the item's name.

Returns
  The item's name.

Definition at line 389 of file disco.h.

## node()

const std::string & node | ( |  | ) | const

inline

Returns the item's node.

Returns
  The item's node.

Definition at line 383 of file disco.h.

## tag()

Tag * tag | ( |  | ) | const

Creates and returns a Tag representation of this item.

Returns
  A Tag, or 0.

Definition at line 168 of file disco.cpp.

The documentation for this class was generated from the following files:

- disco.h
- disco.cpp